org.apache.lucene.codecs.appending

## Class AppendingTermsWriter

- java.lang.Object
- - org.apache.lucene.codecs.FieldsConsumer
  - - org.apache.lucene.codecs.BlockTreeTermsWriter
    - - org.apache.lucene.codecs.appending.AppendingTermsWriter

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class AppendingTermsWriter
      extends BlockTreeTermsWriter

  Writes old Appending-formatted terms dictionaries for testing.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.codecs.BlockTreeTermsWriter

      `DEFAULT_MAX_BLOCK_SIZE, DEFAULT_MIN_BLOCK_SIZE, TERMS_INDEX_VERSION_APPEND_ONLY, TERMS_INDEX_VERSION_CURRENT, TERMS_INDEX_VERSION_START, TERMS_VERSION_APPEND_ONLY, TERMS_VERSION_CURRENT, TERMS_VERSION_START`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppendingTermsWriter(SegmentWriteState state, PostingsWriterBase postingsWriter, int minItemsInBlock, int maxItemsInBlock)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `writeHeader(IndexOutput out)`
    `protected void` | `writeIndexHeader(IndexOutput out)`
    `protected void` | `writeIndexTrailer(IndexOutput indexOut, long dirStart)`
    `protected void` | `writeTrailer(IndexOutput out, long dirStart)`

    - ### Methods inherited from class org.apache.lucene.codecs.BlockTreeTermsWriter

      `addField, close`

    - ### Methods inherited from class org.apache.lucene.codecs.FieldsConsumer

      `merge`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppendingTermsWriter

          public AppendingTermsWriter(SegmentWriteState state,
                              PostingsWriterBase postingsWriter,
                              int minItemsInBlock,
                              int maxItemsInBlock)
                               throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### writeHeader

          protected void writeHeader(IndexOutput out)
                              throws IOException

      Overrides:
        `writeHeader` in class `BlockTreeTermsWriter`
      Throws:
        `IOException`

    - #### writeIndexHeader

          protected void writeIndexHeader(IndexOutput out)
                                   throws IOException

      Overrides:
        `writeIndexHeader` in class `BlockTreeTermsWriter`
      Throws:
        `IOException`

    - #### writeTrailer

          protected void writeTrailer(IndexOutput out,
                          long dirStart)
                               throws IOException

      Overrides:
        `writeTrailer` in class `BlockTreeTermsWriter`
      Throws:
        `IOException`

    - #### writeIndexTrailer

          protected void writeIndexTrailer(IndexOutput indexOut,
                               long dirStart)
                                    throws IOException

      Overrides:
        `writeIndexTrailer` in class `BlockTreeTermsWriter`
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.